[Swift-commit] r5301 - trunk/tests/cdm
wozniak at ci.uchicago.edu
wozniak at ci.uchicago.edu
Mon Nov 14 18:22:50 CST 2011
Author: wozniak
Date: 2011-11-14 18:22:50 -0600 (Mon, 14 Nov 2011)
New Revision: 5301
Added:
trunk/tests/cdm/206-direct-input-abs.check.sh
trunk/tests/cdm/206-direct-input-abs.clean.sh
trunk/tests/cdm/206-direct-input-abs.setup.sh
trunk/tests/cdm/206-direct-input-abs.swift
Log:
New CDM DIRECT input absolute path case
Added: trunk/tests/cdm/206-direct-input-abs.check.sh
===================================================================
--- trunk/tests/cdm/206-direct-input-abs.check.sh (rev 0)
+++ trunk/tests/cdm/206-direct-input-abs.check.sh 2011-11-15 00:22:50 UTC (rev 5301)
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -x
+
+grep $( uname -m ) /tmp/206-input.txt || exit 1
+grep $( uname -m ) 206-output.txt || exit 1
+
+exit 0
Property changes on: trunk/tests/cdm/206-direct-input-abs.check.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/tests/cdm/206-direct-input-abs.clean.sh
===================================================================
--- trunk/tests/cdm/206-direct-input-abs.clean.sh (rev 0)
+++ trunk/tests/cdm/206-direct-input-abs.clean.sh 2011-11-15 00:22:50 UTC (rev 5301)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -v /tmp/206-input.txt || exit 1
+
+exit 0
Property changes on: trunk/tests/cdm/206-direct-input-abs.clean.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/tests/cdm/206-direct-input-abs.setup.sh
===================================================================
--- trunk/tests/cdm/206-direct-input-abs.setup.sh (rev 0)
+++ trunk/tests/cdm/206-direct-input-abs.setup.sh 2011-11-15 00:22:50 UTC (rev 5301)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -x
+
+{
+ uname -a
+ date
+} > /tmp/206-input.txt
+
+exit 0
Property changes on: trunk/tests/cdm/206-direct-input-abs.setup.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/tests/cdm/206-direct-input-abs.swift
===================================================================
--- trunk/tests/cdm/206-direct-input-abs.swift (rev 0)
+++ trunk/tests/cdm/206-direct-input-abs.swift 2011-11-15 00:22:50 UTC (rev 5301)
@@ -0,0 +1,14 @@
+
+type file;
+
+app (file o) copy (file i)
+{
+ cp @i @o;
+}
+
+// Will be transformed by CDM to /tmp/206-input.txt (no staging)
+file f1<"/tmp/206-input.txt">;
+
+file f2<"206-output.txt">;
+
+f2 = copy(f1);
More information about the Swift-commit
mailing list